import{S as si,i as li,s as fi,e as a,k as f,w as P,t as r,M as di,c as n,d as i,m as d,a as o,x as w,h as s,b as l,G as e,g as m,y as D,L as ci,q as I,o as S,B as $,v as ui}from"../../../../chunks/vendor-hf-doc-builder.js";import{D as Y}from"../../../../chunks/Docstring-hf-doc-builder.js";import{I as ri}from"../../../../chunks/IconCopyLink-hf-doc-builder.js";function pi(Mt){let b,ye,v,x,oe,M,qe,re,Ue,Pe,y,E,se,A,We,le,Fe,we,g,Z,Ge,ze,N,je,Be,O,Ke,De,q,He,U,Je,Ie,ee,Re,Se,te,W,fe,Qe,Xe,F,Ye,$e,c,G,Ze,de,et,tt,z,it,ie,at,nt,ot,V,j,rt,ce,st,lt,_,B,ft,ue,dt,ct,pe,ut,pt,k,K,mt,H,ht,me,gt,_t,bt,h,J,vt,he,yt,Pt,ge,wt,Dt,_e,It,St,L,R,$t,be,xt,Et,C,Q,Vt,X,kt,ve,Lt,Ct,xe;return M=new ri({}),A=new ri({}),G=new Y({props:{name:"class diffusers.StableDiffusionImageVariationPipeline",anchor:"diffusers.StableDiffusionImageVariationPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"safety_checker",val:": StableDiffusionSafetyChecker"},{name:"feature_extractor",val:": CLIPFeatureExtractor"},{name:"requires_safety_checker",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.StableDiffusionImageVariationPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.image_encoder",description:`<strong>image_encoder</strong> (<code>CLIPVisionModelWithProjection</code>) &#x2014;
Frozen CLIP image-encoder. Stable Diffusion Image Variation uses the vision portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPVisionModelWithProjection" rel="nofollow">CLIP</a>,
specifically the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"image_encoder"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/main/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/main/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/main/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>StableDiffusionSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPFeatureExtractor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_image_variation.py#L36"}}),j=new Y({props:{name:"__call__",anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__",parameters:[{name:"image",val:": typing.Union[PIL.Image.Image, typing.List[PIL.Image.Image], torch.FloatTensor]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": typing.Optional[int] = 1"}],parametersDescription:[{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code> or <code>List[PIL.Image.Image]</code> or <code>torch.FloatTensor</code>) &#x2014;
The image or images to guide the image generation. If you provide a tensor, it needs to comply with the
configuration of
<a href="https://huggingface.co/lambdalabs/sd-image-variations-diffusers/blob/main/feature_extractor/preprocessor_config.json" rel="nofollow">this</a>
<code>CLIPFeatureExtractor</code>`,name:"image"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/main/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableDiffusionImageVariationPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_image_variation.py#L263",returnDescription:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),B=new Y({props:{name:"enable_attention_slicing",anchor:"diffusers.StableDiffusionImageVariationPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableDiffusionImageVariationPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L880"}}),K=new Y({props:{name:"disable_attention_slicing",anchor:"diffusers.StableDiffusionImageVariationPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L896"}}),J=new Y({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionImageVariationPipeline.enable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L845"}}),R=new Y({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionImageVariationPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L857"}}),Q=new Y({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableDiffusionImageVariationPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_image_variation.py#L124"}}),{c(){b=a("meta"),ye=f(),v=a("h1"),x=a("a"),oe=a("span"),P(M.$$.fragment),qe=f(),re=a("span"),Ue=r("Image Variation"),Pe=f(),y=a("h2"),E=a("a"),se=a("span"),P(A.$$.fragment),We=f(),le=a("span"),Fe=r("StableDiffusionImageVariationPipeline"),we=f(),g=a("p"),Z=a("a"),Ge=r("StableDiffusionImageVariationPipeline"),ze=r(" lets you generate variations from an input image using Stable Diffusion. It uses a fine-tuned version of Stable Diffusion model, trained by  "),N=a("a"),je=r("Justin Pinkney"),Be=r(" (@Buntworthy) at "),O=a("a"),Ke=r("Lambda"),De=f(),q=a("p"),He=r(`The original codebase can be found here:
`),U=a("a"),Je=r("Stable Diffusion Image Variations"),Ie=f(),ee=a("p"),Re=r("Available Checkpoints are:"),Se=f(),te=a("ul"),W=a("li"),fe=a("em"),Qe=r("sd-image-variations-diffusers"),Xe=r(": "),F=a("a"),Ye=r("lambdalabs/sd-image-variations-diffusers"),$e=f(),c=a("div"),P(G.$$.fragment),Ze=f(),de=a("p"),et=r("Pipeline to generate variations from an input image using Stable Diffusion."),tt=f(),z=a("p"),it=r("This model inherits from "),ie=a("a"),at=r("DiffusionPipeline"),nt=r(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ot=f(),V=a("div"),P(j.$$.fragment),rt=f(),ce=a("p"),st=r("Function invoked when calling the pipeline for generation."),lt=f(),_=a("div"),P(B.$$.fragment),ft=f(),ue=a("p"),dt=r("Enable sliced attention computation."),ct=f(),pe=a("p"),ut=r(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),pt=f(),k=a("div"),P(K.$$.fragment),mt=f(),H=a("p"),ht=r("Disable sliced attention computation. If "),me=a("code"),gt=r("enable_attention_slicing"),_t=r(` was previously invoked, this method will go
back to computing attention in one step.`),bt=f(),h=a("div"),P(J.$$.fragment),vt=f(),he=a("p"),yt=r("Enable memory efficient attention as implemented in xformers."),Pt=f(),ge=a("p"),wt=r(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Dt=f(),_e=a("p"),It=r(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),St=f(),L=a("div"),P(R.$$.fragment),$t=f(),be=a("p"),xt=r("Disable memory efficient attention as implemented in xformers."),Et=f(),C=a("div"),P(Q.$$.fragment),Vt=f(),X=a("p"),kt=r(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),ve=a("code"),Lt=r("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ct=r("forward` method called."),this.h()},l(t){const p=di('[data-svelte="svelte-1phssyn"]',document.head);b=n(p,"META",{name:!0,content:!0}),p.forEach(i),ye=d(t),v=n(t,"H1",{class:!0});var Ee=o(v);x=n(Ee,"A",{id:!0,class:!0,href:!0});var At=o(x);oe=n(At,"SPAN",{});var Nt=o(oe);w(M.$$.fragment,Nt),Nt.forEach(i),At.forEach(i),qe=d(Ee),re=n(Ee,"SPAN",{});var Ot=o(re);Ue=s(Ot,"Image Variation"),Ot.forEach(i),Ee.forEach(i),Pe=d(t),y=n(t,"H2",{class:!0});var Ve=o(y);E=n(Ve,"A",{id:!0,class:!0,href:!0});var qt=o(E);se=n(qt,"SPAN",{});var Ut=o(se);w(A.$$.fragment,Ut),Ut.forEach(i),qt.forEach(i),We=d(Ve),le=n(Ve,"SPAN",{});var Wt=o(le);Fe=s(Wt,"StableDiffusionImageVariationPipeline"),Wt.forEach(i),Ve.forEach(i),we=d(t),g=n(t,"P",{});var ae=o(g);Z=n(ae,"A",{href:!0});var Ft=o(Z);Ge=s(Ft,"StableDiffusionImageVariationPipeline"),Ft.forEach(i),ze=s(ae," lets you generate variations from an input image using Stable Diffusion. It uses a fine-tuned version of Stable Diffusion model, trained by  "),N=n(ae,"A",{href:!0,rel:!0});var Gt=o(N);je=s(Gt,"Justin Pinkney"),Gt.forEach(i),Be=s(ae," (@Buntworthy) at "),O=n(ae,"A",{href:!0,rel:!0});var zt=o(O);Ke=s(zt,"Lambda"),zt.forEach(i),ae.forEach(i),De=d(t),q=n(t,"P",{});var Tt=o(q);He=s(Tt,`The original codebase can be found here:
`),U=n(Tt,"A",{href:!0,rel:!0});var jt=o(U);Je=s(jt,"Stable Diffusion Image Variations"),jt.forEach(i),Tt.forEach(i),Ie=d(t),ee=n(t,"P",{});var Bt=o(ee);Re=s(Bt,"Available Checkpoints are:"),Bt.forEach(i),Se=d(t),te=n(t,"UL",{});var Kt=o(te);W=n(Kt,"LI",{});var ke=o(W);fe=n(ke,"EM",{});var Ht=o(fe);Qe=s(Ht,"sd-image-variations-diffusers"),Ht.forEach(i),Xe=s(ke,": "),F=n(ke,"A",{href:!0,rel:!0});var Jt=o(F);Ye=s(Jt,"lambdalabs/sd-image-variations-diffusers"),Jt.forEach(i),ke.forEach(i),Kt.forEach(i),$e=d(t),c=n(t,"DIV",{class:!0});var u=o(c);w(G.$$.fragment,u),Ze=d(u),de=n(u,"P",{});var Rt=o(de);et=s(Rt,"Pipeline to generate variations from an input image using Stable Diffusion."),Rt.forEach(i),tt=d(u),z=n(u,"P",{});var Le=o(z);it=s(Le,"This model inherits from "),ie=n(Le,"A",{href:!0});var Qt=o(ie);at=s(Qt,"DiffusionPipeline"),Qt.forEach(i),nt=s(Le,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Le.forEach(i),ot=d(u),V=n(u,"DIV",{class:!0});var Ce=o(V);w(j.$$.fragment,Ce),rt=d(Ce),ce=n(Ce,"P",{});var Xt=o(ce);st=s(Xt,"Function invoked when calling the pipeline for generation."),Xt.forEach(i),Ce.forEach(i),lt=d(u),_=n(u,"DIV",{class:!0});var ne=o(_);w(B.$$.fragment,ne),ft=d(ne),ue=n(ne,"P",{});var Yt=o(ue);dt=s(Yt,"Enable sliced attention computation."),Yt.forEach(i),ct=d(ne),pe=n(ne,"P",{});var Zt=o(pe);ut=s(Zt,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Zt.forEach(i),ne.forEach(i),pt=d(u),k=n(u,"DIV",{class:!0});var Te=o(k);w(K.$$.fragment,Te),mt=d(Te),H=n(Te,"P",{});var Me=o(H);ht=s(Me,"Disable sliced attention computation. If "),me=n(Me,"CODE",{});var ei=o(me);gt=s(ei,"enable_attention_slicing"),ei.forEach(i),_t=s(Me,` was previously invoked, this method will go
back to computing attention in one step.`),Me.forEach(i),Te.forEach(i),bt=d(u),h=n(u,"DIV",{class:!0});var T=o(h);w(J.$$.fragment,T),vt=d(T),he=n(T,"P",{});var ti=o(he);yt=s(ti,"Enable memory efficient attention as implemented in xformers."),ti.forEach(i),Pt=d(T),ge=n(T,"P",{});var ii=o(ge);wt=s(ii,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),ii.forEach(i),Dt=d(T),_e=n(T,"P",{});var ai=o(_e);It=s(ai,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),ai.forEach(i),T.forEach(i),St=d(u),L=n(u,"DIV",{class:!0});var Ae=o(L);w(R.$$.fragment,Ae),$t=d(Ae),be=n(Ae,"P",{});var ni=o(be);xt=s(ni,"Disable memory efficient attention as implemented in xformers."),ni.forEach(i),Ae.forEach(i),Et=d(u),C=n(u,"DIV",{class:!0});var Ne=o(C);w(Q.$$.fragment,Ne),Vt=d(Ne),X=n(Ne,"P",{});var Oe=o(X);kt=s(Oe,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),ve=n(Oe,"CODE",{});var oi=o(ve);Lt=s(oi,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),oi.forEach(i),Ct=s(Oe,"forward` method called."),Oe.forEach(i),Ne.forEach(i),u.forEach(i),this.h()},h(){l(b,"name","hf:doc:metadata"),l(b,"content",JSON.stringify(mi)),l(x,"id","image-variation"),l(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(x,"href","#image-variation"),l(v,"class","relative group"),l(E,"id","diffusers.StableDiffusionImageVariationPipeline"),l(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(E,"href","#diffusers.StableDiffusionImageVariationPipeline"),l(y,"class","relative group"),l(Z,"href","/docs/diffusers/main/en/api/pipelines/stable_diffusion/image_variation#diffusers.StableDiffusionImageVariationPipeline"),l(N,"href","https://www.justinpinkney.com/"),l(N,"rel","nofollow"),l(O,"href","https://lambdalabs.com/"),l(O,"rel","nofollow"),l(U,"href","https://github.com/LambdaLabsML/lambda-diffusers#stable-diffusion-image-variations"),l(U,"rel","nofollow"),l(F,"href","https://huggingface.co/lambdalabs/sd-image-variations-diffusers"),l(F,"rel","nofollow"),l(ie,"href","/docs/diffusers/main/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),l(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,p){e(document.head,b),m(t,ye,p),m(t,v,p),e(v,x),e(x,oe),D(M,oe,null),e(v,qe),e(v,re),e(re,Ue),m(t,Pe,p),m(t,y,p),e(y,E),e(E,se),D(A,se,null),e(y,We),e(y,le),e(le,Fe),m(t,we,p),m(t,g,p),e(g,Z),e(Z,Ge),e(g,ze),e(g,N),e(N,je),e(g,Be),e(g,O),e(O,Ke),m(t,De,p),m(t,q,p),e(q,He),e(q,U),e(U,Je),m(t,Ie,p),m(t,ee,p),e(ee,Re),m(t,Se,p),m(t,te,p),e(te,W),e(W,fe),e(fe,Qe),e(W,Xe),e(W,F),e(F,Ye),m(t,$e,p),m(t,c,p),D(G,c,null),e(c,Ze),e(c,de),e(de,et),e(c,tt),e(c,z),e(z,it),e(z,ie),e(ie,at),e(z,nt),e(c,ot),e(c,V),D(j,V,null),e(V,rt),e(V,ce),e(ce,st),e(c,lt),e(c,_),D(B,_,null),e(_,ft),e(_,ue),e(ue,dt),e(_,ct),e(_,pe),e(pe,ut),e(c,pt),e(c,k),D(K,k,null),e(k,mt),e(k,H),e(H,ht),e(H,me),e(me,gt),e(H,_t),e(c,bt),e(c,h),D(J,h,null),e(h,vt),e(h,he),e(he,yt),e(h,Pt),e(h,ge),e(ge,wt),e(h,Dt),e(h,_e),e(_e,It),e(c,St),e(c,L),D(R,L,null),e(L,$t),e(L,be),e(be,xt),e(c,Et),e(c,C),D(Q,C,null),e(C,Vt),e(C,X),e(X,kt),e(X,ve),e(ve,Lt),e(X,Ct),xe=!0},p:ci,i(t){xe||(I(M.$$.fragment,t),I(A.$$.fragment,t),I(G.$$.fragment,t),I(j.$$.fragment,t),I(B.$$.fragment,t),I(K.$$.fragment,t),I(J.$$.fragment,t),I(R.$$.fragment,t),I(Q.$$.fragment,t),xe=!0)},o(t){S(M.$$.fragment,t),S(A.$$.fragment,t),S(G.$$.fragment,t),S(j.$$.fragment,t),S(B.$$.fragment,t),S(K.$$.fragment,t),S(J.$$.fragment,t),S(R.$$.fragment,t),S(Q.$$.fragment,t),xe=!1},d(t){i(b),t&&i(ye),t&&i(v),$(M),t&&i(Pe),t&&i(y),$(A),t&&i(we),t&&i(g),t&&i(De),t&&i(q),t&&i(Ie),t&&i(ee),t&&i(Se),t&&i(te),t&&i($e),t&&i(c),$(G),$(j),$(B),$(K),$(J),$(R),$(Q)}}}const mi={local:"image-variation",sections:[{local:"diffusers.StableDiffusionImageVariationPipeline",title:"StableDiffusionImageVariationPipeline"}],title:"Image Variation"};function hi(Mt){return ui(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vi extends si{constructor(b){super();li(this,b,hi,pi,fi,{})}}export{vi as default,mi as metadata};
